  function Etot = md_Etot(r,v)

% function Etot = md_Etot(r,v)
%
% Zweck: Berechne totale Energie
%
% Parameters: r ... Positions-Vektor der Atome
%             v ... Geschwindigkeits-Vektor der Atome
%
% Returns: Etot ... Totale Energie
%
% Notes: Keine.
%

% Parameter der MD-Simulation
  md_parameters;

% Berechne totale Energie
  Etot = 0.; % Initialisierung
  for alpha=1:N
    % Kinetische Energie von Atom alpha
    Ekin_alpha = 0.5*m*v(:,alpha)'*v(:,alpha);
    % Potentielle Energie von Atom alpha
    Epot_alpha = 0.; % Initialisierung
    for beta=alpha+1:N
      rab  = r(:,alpha) - r(:,beta); % Vektor r_{alpha,beta}
      rabn = norm(rab,2);            % Laenge von r_{alpha,beta}
      Epot_alpha = Epot_alpha ...
                 + 4.*epsilon*((sig/rabn)^12 - (sig/rabn)^6);
    end
    % Addiere zur totalen Energie Kontribution von Atom alpha
    Etot = Etot + Ekin_alpha + Epot_alpha;
  end

