  function f = md_rhs(t,y)

% function f = md_rhs(t,y)
%
% Zweck: Berechne rechte Seite der MD-Simulation DGLen
%
% Parameters: t ... Zeit
%             y ... Loesungs-Vekotor
%
% Returns: f ... rechte Seite der DGL
%
% Notes: Fuer die Sortierungs-Konvention des Loesungs-Vektors siehe md_y2rv.m
%        und md_rv2y.m.
%

% Parameter der MD-Simulation
  md_parameters;

% Teile Loesungs-Vektor y in Positions- und Geschwindigkeits-Vektoren auf
  [r,v] = md_y2rv(y);

% Berechne Beschleunigungen
  a = md_a(r);

% Sammle Geschwindigkeits- und Beschleunigungs-Vektor in rechte Seite-Vektor
  f = md_rv2y(v,a);

