  function [r,v] = md_y2rv(y)

% function [r,v] = md_y2rv(y)
%
% Zweck: Teile Loesungs-Vektor y auf in Positions- und Geschwindigkeits-
%        Vektoren in
%
% Parameters: y ... Loesungs-Vekotor
%
% Returns: r ... Positions-Vektor
%          v ... Geschwindigkeits-Vektor
%
% Notes: Siehe md_rv2y.m fuer die Sortierungs-Konvention.
%

% Parameter der MD-Simulation
  md_parameters;

% Sammle Positions- und Geschwindigkeits-Vektoren in Loesungs-Vektor y
  r = zeros(dim,N);
  v = zeros(dim,N);
  for alpha=1:N
    istart = 1 + (alpha - 1)*dim*2; % Start/End-Index des Positions-Vektors
    iend   = istart + dim - 1;      % von Atom alpha in Loesungs-Vekotor
    r(:,alpha) = y(istart:iend);
    istart = iend + 1;              % Start/End-Index des Geschwindigkeits-
    iend   = istart + dim - 1;      % Vektors von Atom alpha in Loesungs-Vekotor
    v(:,alpha) = y(istart:iend);
  end

